'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-14914b7b.js');
const signTransactionsModalStore = require('./signTransactionsModalStore-e69ee459.js');

const fungibleComponentCss = "*{margin:0;padding:0;box-sizing:border-box}.fungible-container{display:flex;flex-direction:column}.fungible-inner-container{display:flex;justify-content:space-between;align-items:center;background-color:#f9f6ee;border-radius:8px;padding-right:8px}.fungible-img-container{display:flex;gap:1rem;align-items:flex-end}.fungible-img{width:64px;height:64px}.fungible-sft{color:#fed7aa;background-color:#171717;padding:4px 8px;text-transform:uppercase;border-radius:4px}";
const FungibleComponentStyle0 = fungibleComponentCss;

const LABELS = {
    SemiFungibleESDT: 'SFT',
    NonFungibleESDT: 'NFT',
};
const FungibleComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const { sftTransaction, nftTransaction, commonData } = signTransactionsModalStore.state;
        const { tokenType } = commonData;
        const data = tokenType === 'SemiFungibleESDT' ? sftTransaction : nftTransaction;
        const { amount = '', identifier = '', imageURL = '' } = data || {};
        const label = LABELS[tokenType];
        return (index.h("sign-transaction-component", { key: '1232a385e8de99aff217faeacfe900006224398a', header: index.h("div", { class: "fungible-container" }, index.h("span", null, `You are sending ${amount} ${label}`), index.h("div", { class: "fungible-inner-container" }, index.h("div", { class: "fungible-img-container" }, index.h("img", { src: imageURL, alt: identifier, class: "fungible-img" }), index.h("div", null, index.h("span", null, identifier))), index.h("span", { class: "fungible-sft" }, label))) }));
    }
};
FungibleComponent.style = FungibleComponentStyle0;

exports.fungible_component = FungibleComponent;

//# sourceMappingURL=fungible-component.cjs.entry.js.map