import { h } from "@stencil/core";
import { formatAddress } from "../../../../utils/utils";
import { DataTestIdsEnum } from "../../../../constants/dataTestIds.enum";
import state from "../../signTransactionsModalStore";
export class SignTransaction {
    constructor() {
        this.header = undefined;
    }
    render() {
        const { receiver, egldLabel, data, feeInFiatLimit, feeLimit } = state.commonData;
        return (h("div", { key: '758739c9b41b09ebe00e75e2de8289fd37bc04ac', class: "transaction-container" }, this.header, h("div", { key: '9e6d83309d4c18831b96224c55e4813ff46dabdd', class: "receiver-container" }, h("p", { key: '5b76bbf45e23c9fe7595af58e236aadb83c422d8' }, "To"), h("p", { key: '11ee3ea351277f05a88d44f8c4688cc83b44db8e' }, formatAddress(receiver, 40))), h("div", { key: '7119f43fac19a6f13f6deea6120f532751908dfb', class: "fee-container" }, h("p", { key: 'b04725da10d8ce01be1d7e131dca86834d288788' }, "Transaction fee"), feeLimit && (h("p", { key: 'cd84e17563df80f767792d410730711b924351cf' }, h("span", { key: 'bbd857ed30118cb3de31646dd26d6cc29753216f' }, feeLimit), "\u00A0", h("span", { key: '59520cd678c5acf1e38ee6a540f197da01b34726' }, egldLabel))), h("p", { key: 'c9d4964c2ae2e6ad6b747d46ab00de02cf382590' }, "\u2248", feeInFiatLimit)), h("div", { key: '48b253f62a558205c368fd814e57fd1eec394b4f', class: "data-container" }, h("p", { key: 'd536a9fcee600ba017456797e91693991c3b5853' }, "Data"), h("textarea", { key: 'e6934a0c85dad180bbe954bfce259616486fbe8e', class: "data-content", readOnly: true, draggable: false }, data)), h("button", { key: '56d06021a0e17db28497bc2b933d761e9a934e5c', disabled: state.isWaitingForSignature, "data-testid": DataTestIdsEnum.signTransactionBtn, class: "sign-button", onClick: state.onSign }, "Sign")));
    }
    static get is() { return "sign-transaction-component"; }
    static get originalStyleUrls() {
        return {
            "$": ["sign-transaction-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["sign-transaction-component.css"]
        };
    }
    static get properties() {
        return {
            "header": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "VNode",
                    "resolved": "VNode",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=sign-transaction-component.js.map
