import { h } from "@stencil/core";
export class ToastProgress {
    constructor() {
        this.progressClass = 'transaction-toast-progress';
        this.currentRemaining = undefined;
    }
    render() {
        if (!this.currentRemaining) {
            return h("slot", null);
        }
        return (h("div", { class: this.progressClass }, h("div", { class: "transaction-toast-bar", style: { width: `${this.currentRemaining}%` }, role: "progressbar", "aria-valuemin": 0, "aria-valuemax": 100, "aria-valnow": this.currentRemaining }), h("slot", null)));
    }
    static get is() { return "transaction-toast-progress"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-progress.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-progress.css"]
        };
    }
    static get properties() {
        return {
            "progressClass": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "progress-class",
                "reflect": false,
                "defaultValue": "'transaction-toast-progress'"
            },
            "currentRemaining": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "current-remaining",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-toast-progress.js.map
