import { p as proxyCustomElement, H, h, F as Fragment } from './p-ac76a689.js';
import { d as defineCustomElement$1 } from './p-67725a25.js';

const transactionToastDetailsCss = ".status-title{font-size:0.875rem;margin:0.25rem 0 0.5rem;line-height:1.5}";
const TransactionToastDetailsStyle0 = transactionToastDetailsCss;

const TransactionDetails = /*@__PURE__*/ proxyCustomElement(class TransactionDetails extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.processedTransactionsStatus = undefined;
        this.transactions = undefined;
        this.transactionClass = undefined;
    }
    render() {
        if (this.transactions == null) {
            return null;
        }
        return (h(Fragment, null, h("div", { class: "status-title" }, this.processedTransactionsStatus), this.transactions.map(({ hash, status }) => (h("transaction-toast-details-body", { transactionClass: this.transactionClass, hash: hash, status: status, key: hash })))));
    }
    static get style() { return TransactionToastDetailsStyle0; }
}, [1, "transaction-toast-details", {
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "transactions": [16],
        "transactionClass": [1, "transaction-class"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-details", "transaction-toast-details-body"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionDetails);
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { TransactionDetails as T, defineCustomElement as d };

//# sourceMappingURL=p-07470759.js.map