import { p as proxyCustomElement, H, c as createEvent, h } from './p-ac76a689.js';
import { d as defineCustomElement$5 } from './p-52db5b4c.js';
import { d as defineCustomElement$4 } from './p-07470759.js';
import { d as defineCustomElement$3 } from './p-67725a25.js';
import { d as defineCustomElement$2 } from './p-4d3d1dcb.js';
import { d as defineCustomElement$1 } from './p-a47dfa8e.js';

const TransactionToast = /*@__PURE__*/ proxyCustomElement(class TransactionToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
        this.toastId = '';
        this.wrapperClass = undefined;
        this.processedTransactionsStatus = '';
        this.transactions = [];
        this.toastDataState = undefined;
        this.transactionProgressState = undefined;
    }
    render() {
        var _a, _b;
        return (h("transaction-toast-wrapper", { key: 'd749426c73545e1c4ce361ac9ba839aabcabbf00', wrapperId: `toast-${this.toastId}`, wrapperClass: this.wrapperClass }, h("transaction-toast-progress", { key: this.toastId, progressClass: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.progressClass, currentRemaining: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.currentRemaining }, h("transaction-toast-content", { key: '633f40f0553770a862045a2bc60877e4f85276aa', onDeleteToast: () => this.handleDeleteToast.emit(this.toastId), processedTransactionsStatus: this.processedTransactionsStatus, toastDataState: this.toastDataState, transactions: this.transactions }))));
    }
}, [1, "transaction-toast", {
        "toastId": [1, "toast-id"],
        "wrapperClass": [1, "wrapper-class"],
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "transactions": [16],
        "toastDataState": [16],
        "transactionProgressState": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast", "transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body", "transaction-toast-progress", "transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToast);
            }
            break;
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}
defineCustomElement();

export { TransactionToast as T, defineCustomElement as d };

//# sourceMappingURL=p-644255f8.js.map