import { p as proxyCustomElement, H, h } from './p-ac76a689.js';

const genericModalCss = ":host{display:block}.modal{position:fixed;z-index:1000;left:0;top:0;width:100%;height:100%;background-color:rgba(0, 0, 0, 0.4)}.modal-content{background-color:#ffffff;margin:5% auto;padding:20px;border-radius:12px;width:90%;max-width:600px}.modal-header{text-align:center;margin-bottom:20px}.close{float:right;cursor:pointer;padding:5px}";
const GenericModalStyle0 = genericModalCss;

const GenericModal = /*@__PURE__*/ proxyCustomElement(class GenericModal extends H {
    constructor() {
        super();
        this.__registerHost();
        this.body = undefined;
        this.modalTitle = undefined;
        this.modalSubtitle = undefined;
        this.onClose = undefined;
    }
    render() {
        return (h("div", { key: '4ca16c1e28dbc52c3b3a62a94c05be7b14444dec', class: "modal" }, h("div", { key: 'fb3fdac03da7407d9203fdea83d0bb3e9b4fc58a', class: "modal-content" }, h("div", { key: 'e2784339c97dc4b7513577879875379cc6b8914f', class: "modal-header" }, h("span", { key: 'd1230834165404e0c3623030b783052fc64eccbb', class: "close", onClick: this.onClose }, "\u2715"), h("h2", { key: '2fc3e9f1dd053fd7b71d5040e5bb5e7de0b24037' }, this.modalTitle), this.modalSubtitle && h("h4", { key: '400b4449d4d1f87e7bba806f787209f86c46d294' }, this.modalSubtitle)), this.body)));
    }
    static get style() { return GenericModalStyle0; }
}, [0, "generic-modal", {
        "body": [16],
        "modalTitle": [1, "modal-title"],
        "modalSubtitle": [1, "modal-subtitle"],
        "onClose": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["generic-modal"];
    components.forEach(tagName => { switch (tagName) {
        case "generic-modal":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, GenericModal);
            }
            break;
    } });
}
defineCustomElement();

export { GenericModal as G, defineCustomElement as d };

//# sourceMappingURL=p-fa6edc93.js.map