import { r as registerInstance, h } from './index-3c959d8a.js';
import { s as state } from './signTransactionsModalStore-b5c1de6f.js';

const fungibleComponentCss = "*{margin:0;padding:0;box-sizing:border-box}.fungible-container{display:flex;flex-direction:column}.fungible-inner-container{display:flex;justify-content:space-between;align-items:center;background-color:#f9f6ee;border-radius:8px;padding-right:8px}.fungible-img-container{display:flex;gap:1rem;align-items:flex-end}.fungible-img{width:64px;height:64px}.fungible-sft{color:#fed7aa;background-color:#171717;padding:4px 8px;text-transform:uppercase;border-radius:4px}";
const FungibleComponentStyle0 = fungibleComponentCss;

const LABELS = {
    SemiFungibleESDT: 'SFT',
    NonFungibleESDT: 'NFT',
};
const FungibleComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { sftTransaction, nftTransaction, commonData } = state;
        const { tokenType } = commonData;
        const data = tokenType === 'SemiFungibleESDT' ? sftTransaction : nftTransaction;
        const { amount = '', identifier = '', imageURL = '' } = data || {};
        const label = LABELS[tokenType];
        return (h("sign-transaction-component", { key: '1232a385e8de99aff217faeacfe900006224398a', header: h("div", { class: "fungible-container" }, h("span", null, `You are sending ${amount} ${label}`), h("div", { class: "fungible-inner-container" }, h("div", { class: "fungible-img-container" }, h("img", { src: imageURL, alt: identifier, class: "fungible-img" }), h("div", null, h("span", null, identifier))), h("span", { class: "fungible-sft" }, label))) }));
    }
};
FungibleComponent.style = FungibleComponentStyle0;

export { FungibleComponent as fungible_component };

//# sourceMappingURL=fungible-component.entry.js.map