import { r as registerInstance, h, a as getElement } from './index-3c959d8a.js';

const genericModalCss = ":host{display:block}.modal{position:fixed;z-index:1000;left:0;top:0;width:100%;height:100%;background-color:rgba(0, 0, 0, 0.4)}.modal-content{background-color:#ffffff;margin:5% auto;padding:20px;border-radius:12px;width:90%;max-width:600px}.modal-header{text-align:center;margin-bottom:20px}.close{float:right;cursor:pointer;padding:5px}";
const GenericModalStyle0 = genericModalCss;

const GenericModal = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.body = undefined;
        this.modalTitle = undefined;
        this.modalSubtitle = undefined;
        this.onClose = undefined;
    }
    render() {
        return (h("div", { key: '4ca16c1e28dbc52c3b3a62a94c05be7b14444dec', class: "modal" }, h("div", { key: 'fb3fdac03da7407d9203fdea83d0bb3e9b4fc58a', class: "modal-content" }, h("div", { key: 'e2784339c97dc4b7513577879875379cc6b8914f', class: "modal-header" }, h("span", { key: 'd1230834165404e0c3623030b783052fc64eccbb', class: "close", onClick: this.onClose }, "\u2715"), h("h2", { key: '2fc3e9f1dd053fd7b71d5040e5bb5e7de0b24037' }, this.modalTitle), this.modalSubtitle && h("h4", { key: '400b4449d4d1f87e7bba806f787209f86c46d294' }, this.modalSubtitle)), this.body)));
    }
};
GenericModal.style = GenericModalStyle0;

const genericSpinnerCss = ".spinner{display:flex;justify-content:center;align-items:center;width:100%;height:100%}.spinner::after{content:'';width:40px;height:40px;border:4px solid #f3f3f3;border-top:4px solid #3498db;border-radius:50%;animation:spin 1s linear infinite}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}";
const GenericSpinnerStyle0 = genericSpinnerCss;

const GenericSpinner = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return h("div", Object.assign({ key: 'd31262d4879d356a349f79e53838797cbc237c8e', class: "spinner" }, this.host.attributes));
    }
    get host() { return getElement(this); }
};
GenericSpinner.style = GenericSpinnerStyle0;

export { GenericModal as generic_modal, GenericSpinner as generic_spinner };

//# sourceMappingURL=generic-modal_2.entry.js.map